﻿/* -----------------------------------------------------------------------------
   Copyright (c) WIKA, 2015 - Alle Rechte vorbehalten - All rights reserved
   -----------------------------------------------------------------------------
  
   Nur für internen Gebrauch.
   Alle Rechte zur Vervielfältigung, Bearbeitung und Verwertung der Datei
   verbleiben bei WIKA. Jegliche nicht autorisierte Verwendung und Weitergabe
   steht gem. BGB / UWG / UG unter Strafe und wird durch WIKA verfolgt.

   For internal use only.
   All rights for duplication, editing and exploitation of the file shall remain
   with WIKA. Any unauthorized use and transmission is punishable by law, e.g.
   the German Civil Code (BGB) / German Act Against Unfair Competition (UWG) /
   German Copyright Law (UG) and shall be prosecuted by WIKA.
   ----------------------------------------------------------------------------*/

/* ===============================================================================================
   ======================================== FILE =================================================
   ===============================================================================================
   Description:             This is the main file of the DD for the WIKA UPT-2X device.
   
   Version history:         Version		Date            Editor          Comment
                            1.0         2014-09-16	    MHH             Add comments for
                                                                        major versions.
                            1.1         2015-10-27      AET             PDM define required as it 
                                                                        does not use Devices.cfg
                            1.2         2015-07-17      MHH             Final version.
   ===============================================================================================
*/

/*****************************************************************************
 * The manufacturer line
 ****************************************************************************/
#ifndef _PDM_
MANUFACTURER WIKA, DEVICE_TYPE _UPT2X, DEVICE_REVISION 2, DD_REVISION 1
#else
MANUFACTURER 0x00006b, DEVICE_TYPE 0x6be9, DEVICE_REVISION 2, DD_REVISION 1
#endif //_PDM_

/*****************************************************************************
 * Defines
 ****************************************************************************/


/*****************************************************************************
 * Includes
 ****************************************************************************/
#include "macros.h"
#include "methods.h"

// Use this define for AMS menus.
// Comment this for PDM and FC handheld.
//#define _AMS_

#include "006B6BE90201_translations.h"
#include "006B6BE90201_common.dd"
#include "006B6BE90201_data.dd"
#include "006B6BE90201_menus.dd"
#include "006B6BE90201_menus_AMS.dd"

